Package org.opengis.cite.iso19142.simple

# Class ListStoredQueriesTests

java.lang.Object
org.opengis.cite.iso19142.BaseFixture
org.opengis.cite.iso19142.simple.ListStoredQueriesTests

public class ListStoredQueriesTests extends BaseFixture
Tests the service response to a ListStoredQueries request. A conforming service must implement at least the GetFeatureById stored query, which has the identifier "http://www.opengis.net/def/query/OGC-WFS/0/GetFeatureById".

See Also:
  - "ISO 19142:2010, cl. 14.3: ListStoredQueries operation"
  - "ISO 19142:2010, cl. 7.9.3.6: GetFeatureById stored query"

- ## Field Summary

  ### Fields inherited from class org.opengis.cite.iso19142.BaseFixture

  `docBuilder, ETS_PKG, featureInfo, featureTypes, reqEntity, rspEntity, supportedBindings, TNS_PREFIX, wfsClient, wfsMetadata, wfsVersion`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ListStoredQueriesTests()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `listStoredQueries(ProtocolBinding binding)`
  The response to a ListStoredQueries request must include an XML entity having wfs:ListStoredQueriesResponse as the document element.
  `void`
  `setupClassFixture(org.testng.ITestContext testContext)`
  Retrieves the (pre-compiled) WFS schema from the suite fixture and builds the XML request entity.

  ### Methods inherited from class org.opengis.cite.iso19142.BaseFixture

  `addAttributesOnTestFailure, allProtocolsAndFeatureTypes, bindingAndAvailFeatureTypeProductSet, extractBodyAsDocument, getFeatureTypes, getInstantiatedFeatureTypes, getProtocolBindings, initBaseFixture, initParser, setWfsClient`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ListStoredQueriesTests

    public ListStoredQueriesTests()

- ## Method Details

  - ### setupClassFixture

    @BeforeClass public void setupClassFixture(org.testng.ITestContext testContext)
    Retrieves the (pre-compiled) WFS schema from the suite fixture and builds the XML request entity.
    Parameters:
      `testContext` - The test (group) context.

  - ### listStoredQueries

    public void listStoredQueries(ProtocolBinding binding)
    The response to a ListStoredQueries request must include an XML entity having wfs:ListStoredQueriesResponse as the document element. The document must (a) be schema valid, and (b) contain one or more wfs:StoredQuery elements, including the mandatory GetFeatureById query.
    Parameters:
      `binding` - The ProtocolBinding to use.
    See Also:
      - "ISO 19142:2010, cl. 14.3.4: Response"